% Funkce nalezeni_teploty uloží do hlavní struktury master_str vektor
% teploty pro vybraný soubor v listboxu.
function [teplota] = nalezeni_teploty(master_str,val, handles)
if isempty(master_str{val}.teplota) 
    aa = get(handles.FileListbox, 'String');
    fi = fopen(aa{val}, 'r'); 
    vv = fgetl(fi);
    ff = regexp(vv, '\_', 'split');
    [dd b] = size(ff);
    h = 1;
    for i = 3:3:b
            strtepl(1,h) = ff(i);
            h = h+1;
    end
    teplota = str2double(strtepl);   
else
    teplota = master_str{val}.teplota;
end
